<?php

namespace Drp\NativeEventApp\Modules;

use Drp\NativeEventApp\Modules\Types\AgendaTimeline;
use Drp\NativeEventApp\Modules\Types\Dummy;
use Drp\NativeEventApp\Modules\Types\Form\Button;
use Drp\NativeEventApp\Modules\Types\Form\Form;
use Drp\NativeEventApp\Modules\Types\Form\Select;
use Drp\NativeEventApp\Modules\Types\Form\TextArea;
use Drp\NativeEventApp\Modules\Types\Form\TextInput;
use Drp\NativeEventApp\Modules\Types\Heading;
use Drp\NativeEventApp\Modules\Types\Hero;
use Drp\NativeEventApp\Modules\Types\HTML;
use Drp\NativeEventApp\Modules\Types\Image;
use Drp\NativeEventApp\Modules\Types\Quiz;
use Drp\NativeEventApp\Modules\Types\SimpleContainer;
use Drp\NativeEventApp\Modules\Types\Text;
use Drp\NativeEventApp\Modules\Types\Touchable;
use Drp\NativeEventApp\Modules\Types\VRVideo;
use Illuminate\Support\Arr;

class ModuleRegistry
{
    /**
     * @var array
     */
    protected $modules = [
        'Heading' => Heading::class,
        'Text' => Text::class,
        'Hero' => Hero::class,
        'Image' => Image::class,
        'Container' => SimpleContainer::class,
        'Form' => Form::class,
        'TextArea' => TextArea::class,
        'TextInput' => TextInput::class,
        'Button' => Button::class,
        'Select' => Select::class,
        'AgendaTimeline' => AgendaTimeline::class,
        'Quiz' => Quiz::class,
        'HTML' => HTML::class,
        'MissingModule' => MissingModule::class,
        'Touchable' => Touchable::class,
        'VRVideo' => VRVideo::class,
        'Dummy' => Dummy::class,
    ];

    public function get(): array
    {
        return $this->modules;
    }

    public function modulesForEnums(): array
    {
        return collect($this->modules)
            ->map(function ($moduleClass, $moduleName) {
                return [
                    'name' => $moduleName,
                    'value' => $moduleName,
                    'description' => $moduleClass::getDescription(),
                ];
            })
            ->toArray();
    }

    public function getKeyByClass(string $class): string
    {
        return Arr::get(array_flip($this->modules), $class);
    }
}
