<?php

namespace Drp\NativeEventApp\Modules\Types;

use Drp\NativeEventApp\Modules\Module;
use Illuminate\Support\Collection;
use ReflectionObject;
use ReflectionProperty;

class Dummy extends Module
{
    /** @var string */
    public $component = '';

    public function __construct(string $component = '')
    {
        $this->component = $component;
    }

    public static function getDescription(): string
    {
        return 'Dummy module used for testing';
    }

    public function props(iterable $props): self
    {
        foreach ($props as $name => $value) {
            $this->$name = $value;
        }

        return $this;
    }

    protected function getPublicAttributes(): Collection
    {
        $reflection = new ReflectionObject($this);
        $properties = $reflection->getProperties(ReflectionProperty::IS_PUBLIC);

        return collect($properties)->keyBy->getName();
    }
}
