<?php

namespace Drp\NativeEventApp\Modules\Types\Form;

use Drp\NativeEventApp\Modules\Module;
use Drp\NativeEventApp\Modules\Types\Actions\Action;

/**
 * @method static make(string $label): Button
 */
class Button extends Module
{
    /** @var string */
    public $label;

    /** @var Action */
    public $onPress;

    public function __construct(string $label)
    {
        $this->label = $label;
    }

    public static function getDescription(): string
    {
        return 'A form submission button';
    }

    public function serializeAction(): array
    {
        return $this->action->toArray();
    }

    public function setAction(array $action): void
    {
        $this->action = Action::fromArray($action);
    }

    public function onPress(Action $action): self
    {
        $this->onPress = $action;

        return $this;
    }

    public function setOnPress(array $onPress): void
    {
        $this->onPress = Action::fromArray($onPress);
    }
}
