<?php

namespace Drp\NativeEventApp\Test\Unit\Modules;

use Drp\NativeEventApp\Facades\ModulesUnSerializer;
use Drp\NativeEventApp\Modules\Types\Dummy;
use Drp\NativeEventApp\Modules\Types\Image;
use Drp\NativeEventApp\Test\TestCase;

class DummyTest extends TestCase
{
    /** @test */
    public function is_serializable(): void
    {
        $dummy = Dummy::make()->props([
            'arbitraryProp' => 'whatever',
        ]);
        $dummy->test = 1;

        $serializedModule = json_encode([$dummy]);
        $module = ModulesUnSerializer::getModulesFromString($serializedModule)->first();

        $this->assertInstanceOf(Dummy::class, $module);
        $this->assertEquals('whatever', $module->arbitraryProp);
        $this->assertEquals(1, $module->test);
    }
}
